Package org.apache.storm.daemon.supervisor

# Class StandaloneSupervisor

java.lang.Object
org.apache.storm.daemon.supervisor.StandaloneSupervisor

All Implemented Interfaces:
  `ISupervisor`

public class StandaloneSupervisor extends Object implements ISupervisor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandaloneSupervisor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assigned(Collection<Integer> ports)`
  `boolean`
  `confirmAssigned(int port)`
  `String`
  `generateSupervisorId()`
  `String`
  `getAssignmentId()`
  The id used in assignments.
  `Object`
  `getMetadata()`
  `String`
  `getSupervisorId()`
  The id used for writing metadata into ZK.
  `void`
  `killedWorker(int port)`
  `void`
  `prepare(Map<String,Object> topoConf, String schedulerLocalDir)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandaloneSupervisor

    public StandaloneSupervisor()

- ## Method Details

  - ### prepare

    public void prepare(Map<String,Object> topoConf, String schedulerLocalDir)
    Specified by:
      `prepare` in interface `ISupervisor`

  - ### getSupervisorId

    public String getSupervisorId()
    Description copied from interface: `ISupervisor`
    The id used for writing metadata into ZK.
    Specified by:
      `getSupervisorId` in interface `ISupervisor`

  - ### getAssignmentId

    public String getAssignmentId()
    Description copied from interface: `ISupervisor`
    The id used in assignments. This combined with confirmAssigned decides what this supervisor is responsible for. The combination of this and getSupervisorId allows Nimbus to assign to a single machine and have multiple supervisors on that machine execute the assignment. This is important for achieving resource isolation.
    Specified by:
      `getAssignmentId` in interface `ISupervisor`

  - ### getMetadata

    public Object getMetadata()
    Specified by:
      `getMetadata` in interface `ISupervisor`

  - ### confirmAssigned

    public boolean confirmAssigned(int port)
    Specified by:
      `confirmAssigned` in interface `ISupervisor`

  - ### killedWorker

    public void killedWorker(int port)
    Specified by:
      `killedWorker` in interface `ISupervisor`

  - ### assigned

    public void assigned(Collection<Integer> ports)
    Specified by:
      `assigned` in interface `ISupervisor`

  - ### generateSupervisorId

    public String generateSupervisorId()